App\MemberBundle\Entity\MemberContact:
  type: entity
  repositoryClass: App\MemberBundle\Repository\MemberContactRepository
  table: MemberContacts
  id:
    id:
      type: integer
      column: ContactID
      generator:
        strategy: IDENTITY
  fields:
    contact_surname:
      type: string
      length: 50
      column: ContactSurname
    contact_initials:
      type: string
      length: 50
      column: ContactInitials
      nullable: true
    contact_first_name:
      type: string
      length: 50
      column: ContactFirstName
      nullable: true
    contact_designation:
      type: string
      length: 50
      column: ContactDesignation
      nullable: true
    language:
      type: string
      length: 50
      column: Language
      nullable: true
    birth_date:
      type: datetime
      column: BirthDate
      nullable: true
    name_of_spouse:
      type: string
      length: 50
      column: NameOfSpouse
      nullable: true
    cell_phone:
      type: string
      length: 50
      column: CellPhone
      nullable: true
    personal_tel:
      type: string
      length: 50
      column: PersonalTel
      nullable: true
    personal_fax:
      type: string
      length: 50
      column: PersonalFax
      nullable: true
    professional_registrations:
      type: string
      length: 50
      column: ProfessionalRegistrations
      nullable: true
    qualifications:
      type: string
      length: 50
      column: Qualifications
      nullable: true
    contact_position:
      type: string
      length: 50
      column: ContactPosition
      nullable: true
    mandated_principal:
      type: boolean
      column: MandatedPrincipal
      nullable: true
      options:
          default: 0
    office_head:
      type: boolean
      column: OfficeHead
      nullable: true
      options:
          default: 0
    principal:
      type: boolean
      column: Principal
      nullable: true
      options:
          default: 0
    email:
      type: string
      length: 255
      column: Email
      nullable: true
    mail:
      type: boolean
      column: Mail
      nullable: true
      options:
          default: 0
    unique_code:
      type: string
      length: 8
      column: UniqueCode
      nullable: true
    office_liaison:
      type: string
      length: 1
      column: OfficeLiaison
      nullable: true
    comments:
      type: string
      length: 255
      column: Comments
      nullable: true
    office_liaison_b:
      type: string
      length: 1
      column: OfficeLiaisonB
      nullable: true
    school_mail:
      type: string
      length: 1
      column: SchoolMail
      nullable: true
    id_number:
      type: string
      length: 15
      column: IDNumber
      nullable: true
    ypf:
      type: string
      length: 1
      column: YPF
      nullable: true
    email_2:
      type: string
      length: 255
      column: Email2
      nullable: true
    sms_unsubscribe:
      type: string
      length: 1
      column: SMSUnsubscribe
      nullable: true
  manyToOne:
    member_office:
      targetEntity: MemberOffice
      inversedBy: member_contact
      joinColumn:
        name: OfficeID
        referencedColumnName: OfficeID